Website

NABU

What is Nabu?

API REFERENCE

Introduction to the Nabu API
Initiate a file upload POSTDelete a file DELETEDownload a file GETGet file metadata GETGet file summary GETGet extracted file text GETList files in a knowledge hub GET
Files

Download a file

GET
/hubs/{hubId}/files/{hubFileId}/download

Returns a 308 Permanent Redirect. Follow the Location header to download the original file bytes. The URL in Location is temporary.

Clients must follow redirects (for example curl -L).

Authorization

bearerAuth
AuthorizationBearer <token>

Nabu API key from Organization settings → API keys. Keys are prefixed with key_.

In: header

Path Parameters

hubId*string

Knowledge hub identifier. Must be allowed for the API key.

hubFileId*string

File identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/hubs/string/files/string/download"
{}

Delete a file DELETE

Previous Page

Get file metadata GET

Next Page